probes:
  - name: latency
    type: std_fping
    output:
      - vodka

    public_dns:
      hosts:
        - host: 8.8.8.8
          name: Google
          color: red
        - host: 4.2.2.1
          name: Level(3)
          color: blue
        - host: 208.67.222.222
          name: OpenDNS
          color: orange
        - host: 213.168.112.60
          name: NetAachen
          color: green
    inet:
        hosts:
        - host: nexus.vls.io
          name: vls.io
          color: red
        - host: netaachen.de
          name: netaachen.de
          color: blue
        - host: taz.de
          name: taz.de
          color: orange
    raspi:
      hosts:
        - host: 192.168.178.49
          name: Blaubeere
          color: red
        - host: 192.168.178.43
          name: Himbeere
          color: blue
    repeater:
      hosts:
        - host: 192.168.178.64
          name: Repeater1750-1
          color: red
        - host: 192.168.178.34
          name: Repeater7330
          color: blue
        - host: 192.168.178.24
          name: Fritzbox7490
          color: orange
        - host: 192.168.178.38
          name: Repeater1750-2
          color: green

    pc:
      hosts:
        - host: 192.168.178.36
          name: cbase
          color: red
        - host: 192.168.178.28
          name: blackbox
          color: blue
        - host: 192.168.178.33
          name: cg-x250
          color: orange
        - host: 192.168.178.22
          name: christine-macbook
          color: green

    mobil:
      hosts:
        - host: 192.168.178.51
          name: lilith-redmi
          color: red
        - host: 192.168.178.27
          name: cg-android
          color: blue
        - host: 192.168.178.45
          name: elise-ip4
          color: orange
    sonos:
      hosts:
        - host: 192.168.178.23
          name: connect
          color: red
        - host: 192.168.178.26
          name: p3
          color: blue
        - host: 192.168.178.31
          name: p5
          color: orange
        - host: 192.168.178.25
          name: amp
          color: green

plugins:
  - name: std_fping
    type: fping
    count: 10
    interval: 3s
    output:
      - vodka

  - name: vodka
    type: vodka
    logging:
      version: 1
      formatters:
        simple:
          format: '%(asctime)s - %(name)s - %(levelname)s: %(message)s'
      handlers:
        console:
          class: logging.StreamHandler
          level: DEBUG
          formatter: simple
          stream: ext://sys.stdout
      loggers:
        vodka:
          level: DEBUG
          handlers:
            - console

    data:
      - type: fping
        handlers:
          - type: index
            index: host
          - type: store
            container: list
            limit: 500

    apps:
      graphsrv:
        tmpl_engine: jinja2
        enabled: true
        graphs:
          multitarget:
            id_field: host
            type: multitarget
            plot_y: avg
            format_y: ms

          smokestack:
            id_field: host
            type: smokestack
            plot_y: avg

    plugins:

      - name: http
        type: flask
        host: 0.0.0.0
        port: 7021
        debug: true
        static_url_path: /static
        server: self
        async: thread
        routes:
          /targets : graphsrv->targets
          /graph_data :
            methods:
              - POST
              - GET
            target: graphsrv->graph_data
          /graph : graphsrv->graph_view
          /overview_read_file : graphsrv->overview_read_file
          /: graphsrv->overview_view
